package com.gct.aoid.controller;


import com.gct.aoid.entity.AoidCalprotaskqueue;
import com.gct.aoid.service.AoidCalprotaskqueueService;
import com.gct.common.core.result.Result;
import io.swagger.annotations.ApiOperation;
import org.junit.runners.Parameterized;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author Lloyd
 * @since 2021-02-01
 */
@RestController
@RequestMapping("/aoidCalprotaskqueue")
public class AoidCalprotaskqueueController {

    @Autowired
    public AoidCalprotaskqueueService aoidCalprotaskqueueService;

    @ApiOperation(value = "任务id", notes = "")
    @GetMapping("/{id}}")
    public Result getById(@PathVariable(value = "id") String id) {
        return aoidCalprotaskqueueService.getOneByID(id);
    }

    @ApiOperation(value = "任务 list", notes = "")
    @GetMapping("/getTaskByNum")
    public List<AoidCalprotaskqueue> getListByTopNum(@RequestParam("n") int n) {
        return aoidCalprotaskqueueService.getTaskList(n);
    }
}

