package com.gct.aoid.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author 王森玉
 * @since 2021-01-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="AoidSinglegtYield对象", description="")
@TableName(schema = "aoid",value = "aoid_singlegt_yield")
public class AoidSinglegtYield extends Model<AoidSinglegtYield> {

    private static final long serialVersionUID=1L;

    private String wellId;

    private String wellCommonName;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private LocalDateTime prodDate;

    private BigDecimal stroke;

    private BigDecimal frequence;

    private BigDecimal bj;

    private BigDecimal bs;

    private BigDecimal cmd;

    private BigDecimal yzzj;

    private BigDecimal sxzh;

    private BigDecimal xxzh;

    private String sgt;

    private String bgt;

    private String zdjg;

    private String refrencewellId;

    private LocalDateTime refrencecjsj;

    private BigDecimal liqProdDaily;

    private BigDecimal oilProdDaily;

    private BigDecimal gasProdDaily;

    private String eczdjg;

    private BigDecimal bx;

    private BigDecimal hsl;

    private BigDecimal flag;

    private BigDecimal bdxs;

    private BigDecimal llpl;

    private BigDecimal zcc;

    private BigDecimal ycc;

    private BigDecimal sjcc;

    private BigDecimal yxcc;

    private BigDecimal ccss;

    private BigDecimal lsss;

    private BigDecimal gyss;

    private BigDecimal pumpdepth;

    private BigDecimal hy;

    private BigDecimal yy;

    private BigDecimal ty;

    private BigDecimal waterProdDaily;

    private String refrencesgt;

    private BigDecimal scsj;

    private BigDecimal qyb;

    private BigDecimal strokeRatio;

    private BigDecimal djdy;

    private BigDecimal hjwd;

    private BigDecimal ybdl;

    private BigDecimal xhqd;

    private String sbh;
    private BigDecimal smd;
    private BigDecimal ymd;


    @Override
    protected Serializable pkVal() {
        return this.wellId;
    }

}
