package com.gct.aoid.feignclient;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * class name: DiagnoseClient
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/1/29 下午9:43
 */
@FeignClient(value = "dgns-diagnose")
public interface DiagnoseClient {


    @RequestMapping(path = "/dgnsGtbaseparam/getBaseparamById/{id}", params = "id", method = RequestMethod.GET)
    String getDiagramCardBaseParamByID(@PathVariable("id") String id);


    @RequestMapping(path = "/dgnsGtcvrresult/getCvrresultById/{id}", params = "id", method = RequestMethod.GET)
    String getSingleDiagramDiagnoseResultByID(@PathVariable("id") String id);
}
