package com.gct.aoid.feignclient;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(value = "warning",fallback = WarningHystrix.class)
public interface WarningClint {

    @RequestMapping(value = "/wnGkMsg/extractWorkingConditionDiagnosis/{WellID}",method = RequestMethod.GET)
    String extractWorkingConditionDiagnosis(@PathVariable("WellID") String wellID,@PathVariable("date") String date) ;
}
