package com.gct.aoid.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gct.aoid.entity.AoidSinglewellConfig;
import com.gct.aoid.mapper.AoidSinglewellConfigMapper;
import com.gct.aoid.service.AoidSinglewellConfigService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author Lloyd
 * @since 2021-01-31
 */
@Service
public class AoidSinglewellConfigServiceImpl extends ServiceImpl<AoidSinglewellConfigMapper, AoidSinglewellConfig> implements AoidSinglewellConfigService {

    @Autowired
    private AoidSinglewellConfigMapper aoidSinglewellConfigMapper;

    //TODO:使用Mybatis的二级缓存实现  每天的第一次 flush一下缓存
    @Override
    public AoidSinglewellConfig getConfigOneObjByID(int type) {

        return aoidSinglewellConfigMapper.getConfigOneObjByID(type);
    }
}
