
package com.gct.aoid.service.impl;

import com.gct.aoid.mapper.SumDataTaskMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;

/**
 * @ClassName SumDataTaskServiceImpl.java
 * @author gxt
 * @version 1.0.0
 * @createTime 2021年04月25日 17:37:00
 *
 * migrate this to job package by lloyd at 2021.5.21 13:06
 *
 *
 */
@Service
@Slf4j
@Deprecated
public class SumDataTaskServiceImpl {


    @Autowired
    public SumDataTaskMapper sumDataTaskMapper;

//    @Qualifier("dgnsAsyncExecutor")
//    Executor executor;

    public void doService() throws InterruptedException {
            ScheduledExecutorService threadPool = Executors.newScheduledThreadPool(10, Executors.defaultThreadFactory());
            threadPool.scheduleAtFixedRate(new Runnable() {
                @Override
                public void run() {
                    LocalDateTime localDateTime = LocalDateTime.now();
                    String date = DateTimeFormatter.ofPattern("yyyy-MM-dd").format(localDateTime);
                    String dateTime = date+" 00:00:00";
                    try {
                        int int1 = sumDataTaskMapper.sumData(date,dateTime);
                    }catch (Exception e){
                        e.printStackTrace();
                        throw new RuntimeException("insert error");
                    }
                }
            },1,10,TimeUnit.MINUTES);
    }
}
